## matplotlib 3.2.1

=== debian/changelog ===
matplotlib (3.2.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * commented out debian/rules line 171 dh_sphinxdoc - breaks build

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sat, 30 May 2020 14:47:55 -0400

matplotlib (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - mark sphinx b-d as nodoc
    - mark sphinx-gallery as <!stage1>, avoid a circular depend; Closes: #954071
  * debian/patches/*
    - refresh, update, drop patches

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Mar 2020 00:57:12 -0400

matplotlib (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - replace `ipython` with `python3-ipython`: mpl requires
      ipython_console_highlighting to build its doc, which is now in the latter
      package; Closes: #943169
    - add cm-super-minimal to b-d, needed by doc
  * debian/patches
    - refresh, drop patches
  * debian/patches/setup-py-long-description.patch
    - populate long description even when running `setup.py clean`
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * debian/rules
    - properly detect the platform and build doc with xvfb-run

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 15:04:14 -0400

matplotlib (3.1.2-2) unstable; urgency=medium

  * debian/tests/{control, wxagg}
    - drop wxagg test; Closes: #950799

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Feb 2020 21:55:19 -0500

=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: cm-super-minimal <!nodoc>,
               dh-python,
               debhelper (>= 9),
               dvipng,
               ghostscript,
               graphviz,
               inkscape [!kfreebsd-amd64],
               libfreetype6-dev,
               libpng-dev,
               locales-all,
               python3-all-dbg,
               python3-all-dev,
               python3-cairocffi [!ia64],
               python3-colorspacious,
               python3-cxx-dev,
               python3-cycler (>= 0.10.0),
               python3-dateutil,
               python3-gi,
               python3-ipython <!nodoc>,
               python3-ipywidgets,
               python3-kiwisolver,
               python3-kiwisolver-dbg,
               python3-mock,
               python3-mpltoolkits.basemap <!stage1>,
               python3-nose,
               python3-numpy,
               python3-numpy-dbg,
               python3-numpydoc,
               python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
               python3-pil,
               python3-pkg-resources,
               python3-pyparsing (>= 1.5.6),
               python3-pyqt5 [!hurd-i386],
               python3-pytest,
               python3-setuptools,
               python3-six (>= 1.4),
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-gallery <!stage1> <!nodoc>,
               python3-tk,
               python3-tk-dbg,
               python3-tornado,
               tcl8.6-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev,
XS-Python-Version: all
Standards-Version: 4.4.1
Homepage: http://matplotlib.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib

Package: python3-matplotlib
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         python-matplotlib-data (>= ${source:Version}),
         python3-dateutil,
         python3-pyparsing (>= 1.5.6),
         python3-six (>= 1.4),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: python3-pil,
            python3-tk,
Enhances: ipython3,
Suggests: dvipng,
          ffmpeg,
          ghostscript,
          gir1.2-gtk-3.0,
          inkscape,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-nose,
          python3-pyqt5,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft,
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx,
         ttf-bitstream-vera,
         ${misc:Depends},
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Depends: python3-all-dbg,
         python3-kiwisolver-dbg,
         python3-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: python-matplotlib-dbg (<< 2.2.3-3),
Replaces: python-matplotlib-dbg (<< 2.2.3-3),
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.

=== debian/rules ===
#!/usr/bin/make -f

export XDG_RUNTIME_DIR=/tmp

PY3VERS := $(shell py3versions -v -r debian/control)
DEFPY3 := $(shell py3versions -v -d)
PY_PLATFORM := $(shell python3 -c 'from distutils.util import get_platform; print(get_platform())')
pd := python-matplotlib-doc
p3 := python3-matplotlib
pdata := python-matplotlib-data
p3dbg := python3-matplotlib-dbg
DEB_BUILD_OPTIONS += --no-parallel

# build
build: build-arch build-indep

build-indep: build-indep-stamp
build-indep-stamp: build-arch-stamp
	dh_testdir

	# build the doc
	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) xvfb-run -a $(MAKE) -C doc html

	touch $@

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	cp -f debian/setup.cfg setup.cfg

	set -e; \
	for v in $(PY3VERS); do \
		python$$v ./setup.py build $(PY_BUILD_FLAGS) ; \
		python$$v-dbg ./setup.py build $(PY_BUILD_FLAGS) ; \
	done

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend      : TkAgg" > matplotlibrc

	-for v in $(PY3VERS); do \
		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
		#PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --no-network --verbose --full-trace ; \
		LIB=$$(python$$v-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
		#PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --no-network --verbose --full-trace ; \
	done
	rm -f matplotlibrc
endif

	touch $@


# clean
clean:
	dh_testdir
	dh_testroot
	
	for i in $(PY3VERS); do \
		python$$i ./setup.py clean --all; \
		python$$i-dbg ./setup.py clean --all; \
	done

	# clean the doc

	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
	rm -f doc/api/_as_gen/*
	#rm -rf doc/build doc/examples
	#rm -f doc/mpl_examples/api/*.png
	#rm -f doc/mpl_examples/pylab_examples/*.png
	#rm -f doc/mpl_examples/pylab_examples/*.pdf
	#rm -f doc/mpl_examples/units/*.png
	#rm -f doc/pyplots/tex_demo.png
	#rm -f doc/_static/matplotlibrc
	#rm -f doc/_templates/gallery.html

	find . -name '*.pyc' -exec rm {} \;

	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
	rm -rf build
	rm -rf lib/matplotlib.egg-info

	# restore "pristine" doc/matplotlibrc
	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc

	## remove doc symlinks to examples directory
	#rm -rf doc/mpl_examples
	#rm -rf doc/mpl_toolkits/axes_grid/examples

	# build twice in a row
	rm -rf doc/tex.cache/ fontList.py3k.cache result_images/ test_cache/ tex.cache/ examples/pylab_examples/test.xls
	rm -rf doc/finance.cache/ doc/fontList.cache fontList.cache

	# remove embedded CXX to prevent it to be picked up
	rm -rf extern/CXX/

# install
install-arch: build-arch install-arch-stamp
	dh_testdir
	dh_testroot
	dh_numpy3

install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot

	set -e; \
	for v in $(PY3VERS) ; do \
		python$$v ./setup.py install_lib --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
		python$$v ./setup.py install_egg_info --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
		python$$v-dbg ./setup.py install --root=$(CURDIR)/debian/$(p3dbg) --install-layout=deb ; \
	done

	find debian/$(p3dbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(p3dbg) -depth -empty -exec rmdir {} \;

	find debian/ -name '*.pyc' | xargs rm -rf
	find debian/ -name '__pycache__' | xargs rm -rf

	# don't install baseline_images, needed for tests only, but huge
	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
	for v in $(PY3VERS) ; do \
		rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/* ; \
		mkdir -p $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/ ; \
		touch $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/.keep ; \
	done

	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css

	# replace minified jquery with packaged version and hope it works
	for i in $(PY3VERS); do \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
	    dh_link  -ppython3-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
	done

	touch $@

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_install -p $(pdata)
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/pdfcorefonts/readme.txt
	chmod 644 $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/images/*.svg

# binary
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs
	dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
	# remove pyc file from doc
	dh_installexamples -p$(pd) -i examples/*
	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -X.py -Xobjects.inv -X.html
	dh_link -i
#	dh_sphinxdoc
	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
	dh_lintian -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs
	dh_installdocs -p$(p3) -a README.rst
	# make python scripts starting with '#!' executable
	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!'; then \
			chmod 755 $$i; \
			echo "made executable: $$i"; \
		fi; \
	done
	dh_python3 -a
	dh_link -a
	dh_lintian -a
	dh_strip -a -p$(p3) --dbg-package=$(p3dbg)
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## matplotlib 3.2.2

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = matplotlib
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# workaround because sphinx does not completely clean up (#11139)
clean:
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	rm -rf "$(SOURCEDIR)/build"
	rm -rf "$(SOURCEDIR)/api/_as_gen"
	rm -rf "$(SOURCEDIR)/gallery"
	rm -rf "$(SOURCEDIR)/tutorials"
	rm -rf "$(SOURCEDIR)/savefig"
	rm -rf "$(SOURCEDIR)/sphinxext/__pycache__"

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
matplotlib (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jun 2020 23:35:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: cm-super-minimal <!nodoc>,
                dh-python,
-               debhelper (>= 9),
+               debhelper (>= 7),
                dvipng,
                ghostscript,
                graphviz,

=== debian/rules ===
--- 
+++ 
@@ -168,7 +168,7 @@
 	dh_installexamples -p$(pd) -i examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -X.py -Xobjects.inv -X.html
 	dh_link -i
-#	dh_sphinxdoc
+	dh_sphinxdoc
 	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
 	dh_lintian -i
 	dh_fixperms -i

## matplotlib 3.3.0

=== debian/changelog ===
matplotlib (3.3.0-3) unstable; urgency=medium

  * debian/patches/PR17983.patch
    - undeprecate and update num2epoch/epoch2num

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2020 21:54:52 -0400

matplotlib (3.3.0-2) unstable; urgency=medium

  * debian/python-matplotlib-data.install
    - explicitly install matplotlibrc in /usr/share/matplotlib/mpl-data/;
      Closes: #965954

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 10:46:31 -0400

matplotlib (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on sphinx-gallery to >= 0.7.0
    - add sphinxcontrib.svg2pdfconverter to b-d, needed by doc
    - bump Standards-Version to 4.5.0 (no changes needed)
    - add fonts-staypuft. optipng, scipy to b-d, needed by doc
  * debian/patches/*
    - refresh, update, drop patches
  * debian/setup.cfg
    - use the system-installed freetype library
  * debian/rules
    - re-enable running unittests at build-time

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jul 2020 23:43:12 -0400

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: cm-super-minimal <!nodoc>,
+               debhelper (>= 7),
                dh-python,
-               debhelper (>= 7),
                dvipng,
+               fonts-staypuft <!nodoc>,
                ghostscript,
                graphviz,
                inkscape [!kfreebsd-amd64],
                libfreetype6-dev,
                libpng-dev,
                locales-all,
+               optipng <!nodoc>,
                python3-all-dbg,
                python3-all-dev,
                python3-cairocffi [!ia64],
@@ -37,11 +39,13 @@
                python3-pyparsing (>= 1.5.6),
                python3-pyqt5 [!hurd-i386],
                python3-pytest,
+               python3-scipy <!nodoc>,
                python3-setuptools,
                python3-six (>= 1.4),
                python3-sphinx <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
-               python3-sphinx-gallery <!stage1> <!nodoc>,
+               python3-sphinx-gallery (>= 0.7.0) <!stage1> <!nodoc>,
+               python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
                python3-tk,
                python3-tk-dbg,
                python3-tornado,
@@ -54,7 +58,7 @@
                xvfb,
                zlib1g-dev,
 XS-Python-Version: all
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib

=== debian/rules ===
--- 
+++ 
@@ -40,9 +40,9 @@
 
 	-for v in $(PY3VERS); do \
 		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		#PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --no-network --verbose --full-trace ; \
+		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --verbose --full-trace ; \
 		LIB=$$(python$$v-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		#PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --no-network --verbose --full-trace ; \
+		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --verbose --full-trace ; \
 	done
 	rm -f matplotlibrc
 endif

## matplotlib 3.3.2

=== debian/changelog ===
matplotlib (3.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/control
    - drop basemap, no longer needed and deprecated upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Oct 2020 19:25:42 -0400

matplotlib (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR17983.patch
    - drop, merged upstream
  * debian/patches/*
    - refresh patches
  * debian/control
    - add certifi to b-d

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Sep 2020 00:34:24 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                python3-all-dbg,
                python3-all-dev,
                python3-cairocffi [!ia64],
+               python3-certifi (>= 2020.6.20-1),
                python3-colorspacious,
                python3-cxx-dev,
                python3-cycler (>= 0.10.0),
@@ -28,7 +29,6 @@
                python3-kiwisolver,
                python3-kiwisolver-dbg,
                python3-mock,
-               python3-mpltoolkits.basemap <!stage1>,
                python3-nose,
                python3-numpy,
                python3-numpy-dbg,
@@ -60,8 +60,8 @@
 XS-Python-Version: all
 Standards-Version: 4.5.0
 Homepage: http://matplotlib.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib
+Vcs-Git: https://salsa.debian.org/python-team/packages/matplotlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/matplotlib
 
 Package: python3-matplotlib
 Architecture: any

## matplotlib 3.3.3

=== debian/changelog ===
matplotlib (3.3.3-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Jan 2021 00:44:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: cm-super-minimal <!nodoc>,
                debhelper (>= 7),
                dh-python,
@@ -58,7 +58,7 @@
                xvfb,
                zlib1g-dev,
 XS-Python-Version: all
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/matplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/matplotlib

## matplotlib 3.3.4

=== debian/changelog ===
matplotlib (3.3.4-2) unstable; urgency=medium

  * remove -dbg package; Closes: #994311

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 20:33:19 -0400

matplotlib (3.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add sphinxdoc:Depends to -doc depends
  * debian/rules
    - enable hardening flags

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Feb 2021 23:04:57 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libpng-dev,
                locales-all,
                optipng <!nodoc>,
-               python3-all-dbg,
                python3-all-dev,
                python3-cairocffi [!ia64],
                python3-certifi (>= 2020.6.20-1),
@@ -27,11 +26,9 @@
                python3-ipython <!nodoc>,
                python3-ipywidgets,
                python3-kiwisolver,
-               python3-kiwisolver-dbg,
                python3-mock,
                python3-nose,
                python3-numpy,
-               python3-numpy-dbg,
                python3-numpydoc,
                python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
                python3-pil,
@@ -47,7 +44,6 @@
                python3-sphinx-gallery (>= 0.7.0) <!stage1> <!nodoc>,
                python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
                python3-tk,
-               python3-tk-dbg,
                python3-tornado,
                tcl8.6-dev,
                texlive-fonts-recommended,
@@ -125,6 +121,7 @@
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends},
+	 ${sphinxdoc:Depends}
 Description: Python based plotting system (documentation package)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
@@ -133,22 +130,3 @@
  users or an object oriented interface familiar to Python users.
  .
  This package contains documentation for python-matplotlib.
-
-Package: python3-matplotlib-dbg
-Architecture: any
-Section: debug
-Depends: python3-all-dbg,
-         python3-kiwisolver-dbg,
-         python3-matplotlib (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: python-matplotlib-dbg (<< 2.2.3-3),
-Replaces: python-matplotlib-dbg (<< 2.2.3-3),
-Description: Python based plotting system (debug extension, Python 3)
- Matplotlib is a pure Python plotting library designed to bring
- publication quality plotting to Python with a syntax familiar to
- Matlab users. All of the plotting commands in the pylab interface can
- be accessed either via a functional interface familiar to Matlab
- users or an object oriented interface familiar to Python users.
- .
- This package contains the debug extension for python3-matplotlib.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,11 @@
 pd := python-matplotlib-doc
 p3 := python3-matplotlib
 pdata := python-matplotlib-data
-p3dbg := python3-matplotlib-dbg
 DEB_BUILD_OPTIONS += --no-parallel
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # build
 build: build-arch build-indep
@@ -32,7 +35,6 @@
 	set -e; \
 	for v in $(PY3VERS); do \
 		python$$v ./setup.py build $(PY_BUILD_FLAGS) ; \
-		python$$v-dbg ./setup.py build $(PY_BUILD_FLAGS) ; \
 	done
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -41,8 +43,6 @@
 	-for v in $(PY3VERS); do \
 		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
 		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --verbose --full-trace ; \
-		LIB=$$(python$$v-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --verbose --full-trace ; \
 	done
 	rm -f matplotlibrc
 endif
@@ -57,7 +57,6 @@
 	
 	for i in $(PY3VERS); do \
 		python$$i ./setup.py clean --all; \
-		python$$i-dbg ./setup.py clean --all; \
 	done
 
 	# clean the doc
@@ -108,11 +107,7 @@
 	for v in $(PY3VERS) ; do \
 		python$$v ./setup.py install_lib --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
 		python$$v ./setup.py install_egg_info --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
-		python$$v-dbg ./setup.py install --root=$(CURDIR)/debian/$(p3dbg) --install-layout=deb ; \
 	done
-
-	find debian/$(p3dbg) ! -type d ! -name '*.so' | xargs rm -f
-	find debian/$(p3dbg) -depth -empty -exec rmdir {} \;
 
 	find debian/ -name '*.pyc' | xargs rm -rf
 	find debian/ -name '__pycache__' | xargs rm -rf
@@ -127,9 +122,6 @@
 
 	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/
-
-	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
-	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/
 
 	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
 	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
@@ -192,7 +184,6 @@
 	dh_python3 -a
 	dh_link -a
 	dh_lintian -a
-	dh_strip -a -p$(p3) --dbg-package=$(p3dbg)
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a

=== debian/tests/control ===
Tests: tkagg
Depends: xauth, xvfb, python3-matplotlib, python3-tk, python3-numpy

Tests: qt5agg
Depends: xauth, xvfb, python3-matplotlib, python3-pyqt5, python3-numpy

## matplotlib 3.5.0

=== debian/changelog ===
matplotlib (3.5.0-5) unstable; urgency=medium

  * Comment out sphinx-gallery from b-d, and dont build doc, once again hoping
    this will fix the dependency loop currently preventin mpl to be build on
    buildds

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Dec 2021 01:26:30 -0500

matplotlib (3.5.0-4) unstable; urgency=medium

  * debian/control
    - use source:Upstream-Version when defining Depends on -data, fixing a
      FTBFS on buildds due to circular dependencies

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Dec 2021 23:07:14 -0500

matplotlib (3.5.0-3) unstable; urgency=medium

  * debian/control
    - move pil.imagetk to Depends, so everyone's happy; Closes: #999533
  * debian/patches/PR21686.patch
    - add PR 21686, fixing sagemath doc build; Closes: #1001102

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Dec 2021 00:22:14 -0500

matplotlib (3.5.0-2) unstable; urgency=medium

  * debian/control
    - add sphinx-panels to b-d, needed by doc
  * debian/patches/docs-no-sphinx-panel.patch
    - remove, now sphinx-panels is in Debian

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Nov 2021 02:02:11 -0500

matplotlib (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on sphinx-gallery to >= 0.10.0
    - bump b-d on numpy to >= 1.20.0
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches
    - refresh, remove merged patches
  * debian/patches/docs-still-use-pydata-theme.patch
    - keep using pydata_sphinx_theme until mpl_sphinx_theme is available
  * debian/rules
    - no longer manually copy cliboard.js, now that sphinx-copybutton is fixed
  * debian/tests/control
    - fix autopkgtests but installing pil.imagetk and allowing stderr
  * debian/copyright
    - simplify and fix afm fonts copyright generation
  * debian/TODO.debian
    - remove, no longer relevant

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Nov 2021 00:03:30 -0500

matplotlib (3.5.0~rc1-2) experimental; urgency=medium

  * debian/copyright
    - remove stanzas for files no longer in upstream tarball
  * debian/python-matplotlib-data.install
    - install plot_directive in mpl-data, needed by
      matplotlib.sphinxext.plot_directive

 -- Sandro Tosi <morph@debian.org>  Tue, 09 Nov 2021 23:53:58 -0500

matplotlib (3.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate; Closes: #994533
  * debian/patches/
    - refresh, remove outdated patches
  * debian/patches/fake-setutools-scm.patch
    - fake setuptools_scm, creating the same file it would
  * debian/control
    - add setuptools-scm, setuptools-scm-git-archive to b-d, needed by setup.py
    - replace transitional pkg ttf-staypuft with fonts-staypuft; Closes: #987629
    - replace obsolete ttf-bitstream-vera with fonts-dejavu-core;
      Closes: #985559
    - add pil.imagetk to b-d, needed by tests
    - add ffmpeg, fonts-comic-neue, fonts-humor-sans, fonttools,
      pydata-sphinx-theme to b-d, needed by doc
    - drop nose, no longer needed (see #997758)
    - add pil.imagetk to python3-matplotlib recommends, needed by TkAgg backend
    - set TkAgg as default backend in /etc/matplotlibrc
  * rename setup.cfg to the new filename, mplsetup.cfg
  * use the system-available libqhull during build
  * debian/rules
    - skip removing some of upstream config files, setup.cfg and matplotlibrc
    - set HOME to a writable location during doc build
    - manually copy clipboard.js
  * debian/patches/PR21414.patch
    - fix doc build with a basedir containing a ~, like in Debian's RC releases
  * debian/patches/20_matplotlibrc_path_search_fix.patch
    - handle date directory location both during build and at runtime
  * debian/patches/docs-no-sphinx-panel.patch
    - temporarily remove sphinx-panels extension
  * debian/python-matplotlib-data.install
    - update locationfor default matplotlibrc location

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Oct 2021 01:43:15 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,16 @@
                debhelper (>= 7),
                dh-python,
                dvipng,
+               ffmpeg <!nodoc>,
+               fonts-comic-neue <!nodoc>,
+               fonts-humor-sans <!nodoc>,
                fonts-staypuft <!nodoc>,
                ghostscript,
                graphviz,
                inkscape [!kfreebsd-amd64],
                libfreetype6-dev,
                libpng-dev,
+               libqhull-dev,
                locales-all,
                optipng <!nodoc>,
                python3-all-dev,
@@ -22,26 +26,31 @@
                python3-cxx-dev,
                python3-cycler (>= 0.10.0),
                python3-dateutil,
+               python3-fonttools <!nodoc>,
                python3-gi,
                python3-ipython <!nodoc>,
                python3-ipywidgets,
                python3-kiwisolver,
                python3-mock,
-               python3-nose,
-               python3-numpy,
+               python3-numpy (>= 1.20.0),
                python3-numpydoc,
                python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
                python3-pil,
+               python3-pil.imagetk <!nocheck>,
                python3-pkg-resources,
+               python3-pydata-sphinx-theme (>= 0.7.1) <!nodoc>,
                python3-pyparsing (>= 1.5.6),
                python3-pyqt5 [!hurd-i386],
                python3-pytest,
                python3-scipy <!nodoc>,
                python3-setuptools,
+               python3-setuptools-scm,
+               python3-setuptools-scm-git-archive,
                python3-six (>= 1.4),
                python3-sphinx <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
-               python3-sphinx-gallery (>= 0.7.0) <!stage1> <!nodoc>,
+#               python3-sphinx-gallery (>= 0.10.0) <!stage1> <!nodoc>,
+               python3-sphinx-panels <!nodoc>,
                python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
                python3-tk,
                python3-tornado,
@@ -54,7 +63,7 @@
                xvfb,
                zlib1g-dev,
 XS-Python-Version: all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/matplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/matplotlib
@@ -63,8 +72,9 @@
 Architecture: any
 Depends: libjs-jquery,
          libjs-jquery-ui,
-         python-matplotlib-data (>= ${source:Version}),
+         python-matplotlib-data (>= ${source:Upstream-Version}),
          python3-dateutil,
+         python3-pil.imagetk,
          python3-pyparsing (>= 1.5.6),
          python3-six (>= 1.4),
          ${misc:Depends},
@@ -75,6 +85,7 @@
 Enhances: ipython3,
 Suggests: dvipng,
           ffmpeg,
+          fonts-staypuft,
           ghostscript,
           gir1.2-gtk-3.0,
           inkscape,
@@ -85,14 +96,12 @@
           python3-gi,
           python3-gi-cairo,
           python3-gobject,
-          python3-nose,
           python3-pyqt5,
           python3-scipy,
           python3-sip,
           python3-tornado,
           texlive-extra-utils,
           texlive-latex-extra,
-          ttf-staypuft,
 Description: Python based plotting system in a style similar to Matlab (Python 3)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
@@ -104,8 +113,8 @@
 
 Package: python-matplotlib-data
 Architecture: all
-Depends: fonts-lyx,
-         ttf-bitstream-vera,
+Depends: fonts-dejavu-core,
+         fonts-lyx,
          ${misc:Depends},
 Description: Python based plotting system (data package)
  Matplotlib is a pure Python plotting library designed to bring
@@ -121,7 +130,7 @@
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends},
-	 ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
 Description: Python based plotting system (documentation package)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_testdir
 
 	# build the doc
-	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) xvfb-run -a $(MAKE) -C doc html
+	# MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) HOME=/tmp xvfb-run -a $(MAKE) -C doc html
 
 	touch $@
 
@@ -30,7 +30,7 @@
 build-arch-stamp:
 	dh_testdir
 
-	cp -f debian/setup.cfg setup.cfg
+	cp -f debian/mplsetup.cfg mplsetup.cfg
 
 	set -e; \
 	for v in $(PY3VERS); do \
@@ -39,7 +39,6 @@
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "backend      : TkAgg" > matplotlibrc
-
 	-for v in $(PY3VERS); do \
 		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
 		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --verbose --full-trace ; \
@@ -74,8 +73,8 @@
 
 	find . -name '*.pyc' -exec rm {} \;
 
-	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
-		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
+	#dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
+	#	lib/matplotlib/mpl-data/matplotlibrc setup.cfg
 	rm -rf build
 	rm -rf lib/matplotlib.egg-info
 
@@ -128,7 +127,7 @@
 	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css
 
 	# replace minified jquery with packaged version and hope it works
-	for i in $(PY3VERS); do \
+	-for i in $(PY3VERS); do \
 	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
 	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
 	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
@@ -144,6 +143,8 @@
 	dh_testroot -i
 	dh_prep
 	dh_install -p $(pdata)
+	# set the default backend
+	sed -i '/backend:/s/.*/backend: TkAgg/' debian/python-matplotlib-data//etc/matplotlibrc
 	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
 	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
 	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
@@ -155,7 +156,7 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_installchangelogs
-	dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
+	#dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
 	# remove pyc file from doc
 	dh_installexamples -p$(pd) -i examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -X.py -Xobjects.inv -X.html

## matplotlib 3.5.1

=== doc/Makefile ===
--- 
+++ 
@@ -20,9 +20,13 @@
 	rm -rf "$(SOURCEDIR)/build"
 	rm -rf "$(SOURCEDIR)/api/_as_gen"
 	rm -rf "$(SOURCEDIR)/gallery"
+	rm -rf "$(SOURCEDIR)/plot_types"
 	rm -rf "$(SOURCEDIR)/tutorials"
 	rm -rf "$(SOURCEDIR)/savefig"
 	rm -rf "$(SOURCEDIR)/sphinxext/__pycache__"
+
+show:
+	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(shell pwd)/build/html/index.html')"
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/changelog ===
matplotlib (3.5.1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:50:20 +0000

matplotlib (3.5.1-2) unstable; urgency=medium

  * debian/rules
    - workaround a gcc-11 on mips64* architectures by passing -O3; patch by
      YunQiang Su; Closes: #1000435

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jan 2022 16:55:24 -0500

matplotlib (3.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/python-matplotlib-data.install
   - install the entire content of mpl-data for python-matplotlib-data,
     including kpsewhich.lua; Closes: #1002923
  * re-enable doc building
  * debian/copyright
    - extend packaging copyright years
  * debian/patches
    - refresh, drop patches merged upstream
  * debian/rules
    - use pytest directly when running the test suite
    - ignore test_backend_nbagg.py, until nbconvert is made compatible with
      mistune 2.x, see #1001283 and #1002372

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Jan 2022 16:42:00 -0500

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
                python3-six (>= 1.4),
                python3-sphinx <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
-#               python3-sphinx-gallery (>= 0.10.0) <!stage1> <!nodoc>,
+               python3-sphinx-gallery (>= 0.10.0) <!stage1> <!nodoc>,
                python3-sphinx-panels <!nodoc>,
                python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
                python3-tk,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,14 @@
 DEB_BUILD_OPTIONS += --no-parallel
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# https://bugs.debian.org/1000435
+# it is due to a bug of gcc-11
+ifneq (,$(filter $(DEB_HOST_ARCH), mips64 mips64el mips64r6 mips64r6el))
+  DEB_CFLAGS_MAINT_APPEND += -O3
+  DEB_CXXFLAGS_MAINT_APPEND += -O3
+endif
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -22,7 +30,7 @@
 	dh_testdir
 
 	# build the doc
-	# MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) HOME=/tmp xvfb-run -a $(MAKE) -C doc html
+	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) HOME=/tmp xvfb-run -a $(MAKE) -C doc html
 
 	touch $@
 
@@ -41,7 +49,7 @@
 	echo "backend      : TkAgg" > matplotlibrc
 	-for v in $(PY3VERS); do \
 		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --verbose --full-trace ; \
+		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v -m pytest --verbose --full-trace $$LIB/matplotlib/tests/ --ignore-glob=*/test_backend_nbagg.py;  \
 	done
 	rm -f matplotlibrc
 endif
@@ -156,7 +164,7 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_installchangelogs
-	#dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
+	dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
 	# remove pyc file from doc
 	dh_installexamples -p$(pd) -i examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -X.py -Xobjects.inv -X.html
